Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_TSS_Adapter Class Reference

This class encapsulates a TSS object and its associated C++ destructor function. It is used by the ACE_TSS... methods (in Synch_T.cpp) in order to allow an extern "C" cleanup routine to be used. Needed by the "frigging" MVS C++ compiler. More...

`#include <TSS_Adapter.h>`

List of all members.

## Public Member Functions
| ACE_TSS_Adapter (void *object, ACE_THR_DEST f)
| Initialize the adapter.
void | cleanup (void)
| Perform the cleanup operation.
## Public Attributes
void *const | ts_obj_
| The real TS object.
ACE_THR_DEST | func_
| The real cleanup routine for ts_obj;.

## Detailed Description

This class encapsulates a TSS object and its associated C++ destructor function. It is used by the ACE_TSS... methods (in Synch_T.cpp) in order to allow an extern "C" cleanup routine to be used. Needed by the "frigging" MVS C++ compiler.

Objects of this class are stored in thread specific storage. ts_obj_ points to the "real" object and func_ is a pointer to the C++ cleanup function for ts_obj_.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_TSS_Adapter::ACE_TSS_Adapter | ( | void * | object,
|  | ACE_THR_DEST | f
| ) |

| Initialize the adapter.

## Member Function Documentation

void ACE_TSS_Adapter::cleanup | ( | void |  | ) |

| Perform the cleanup operation.

## Member Data Documentation

ACE_THR_DEST ACE_TSS_Adapter::func_

| The real cleanup routine for ts_obj;.

void* const ACE_TSS_Adapter::ts_obj_

| The real TS object.

The documentation for this class was generated from the following files:

- TSS_Adapter.h
- TSS_Adapter.cpp